package com.zanxiang.game.module.manage.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author : lingfeng
 * @time : 2021-11-16
 * @description : 时间常量
 */
@Getter
@AllArgsConstructor
public enum ExpireTimeEnum {

    /**
     * 无固定期限
     */
    NONE(0, "无固定期限"),

    /**
     * 1分钟
     */
    ONE_MIN(60, "1分钟"),

    /**
     * 5分钟
     */
    FIVE_MIN(5 * 60, "5分钟"),

    /**
     * 30分钟
     */
    HALF_HOUR(30 * 60, "30分钟"),

    /**
     * 1小时
     */
    ONE_HOUR(60 * 60, "1小时"),

    /**
     * 1天
     */
    ONE_DAY(24 * 60 * 60, "1天"),

    /**
     * 一周
     */
    ONE_WEEK(24 * 60 * 60 * 7, "一周"),

    /**
     * 1个月
     */
    ONE_MON(30 * 24 * 60 * 60, "1个月"),

    /**
     * 1年
     */
    ONE_YEAR(365 * 24 * 60 * 60, "1年");

    /**
     * 时间
     */
    private final long time;

    /**
     * 描述
     */
    private final String desc;

}  